

% x, y: dati originali
% y_out: uscita della rete quando in ingresso viene dato x
% xr, yr: dati ricampionati; yr e' l'uscita della rete quando
%                            l'input e' xr
% xv, yv: dati di validazione
% yv_out: uscita della rete quando in ingresso viene dato xv
% xt, yt: dati di test
% yt_out: uscita della rete quando in ingresso viene dato xt

NOME = '';

err = sqrt(mean((y_out-y).^2));
err_v = sqrt(mean((yv_out-yv).^2));
err_t = sqrt(mean((yt_out-yt).^2));

clf;
hold on;
h = [];
h(1) = plot(x, y, 'bo');
h(2) = plot(xr, yr_out, 'g-');
h(3) = plot(x, y_out, 'r+');
h(4) = plot(xv, yv, 'mx');
h(5) = plot(xt, yt, 'b^');

axis equal;
title([NOME '  -  Err: ' num2str(err) '  Err val: '  num2str(err_v) ['  Err test: ']  num2str(err_t)], 'FontSize', 16);
legend(h, 'train data', 'approssimazione', 'uscita rete', 'validazione', 'test');
set(gca, 'FontSize', 12);



